#!/bin/sh
#SBATCH --job-name="mpdrec"
#SBATCH --ntasks-per-node=1
#SBATCH --mem-per-cpu=4192M
#SBATCH --time=1-0:0:0
#SBATCH -p cascade
#SBATCH --array=1-2000

date

#type your username and path-to-mpdroot
export MACRO_DIR=/zfs/hybrilit.jinr.ru/user/u/username/path-to-mpdroot/macro/mpd
export BUILD_DIR=/zfs/hybrilit.jinr.ru/user/u/username/path-to-mpdroot/build
export OUT=/zfs/hybrilit.jinr.ru/user/u/username/data/DST/

if [ -f "${OUT}/DST_bin${SLURM_ARRAY_TASK_ID}.root" ]; then
  exit 0
fi

. ${BUILD_DIR}/config-slurm.sh

#type path-to-model-inputfiles
export INFILE=/zfs/hybrilit.jinr.ru/user/u/username/data/PHSD/part01/phsd_bin${SLURM_ARRAY_TASK_ID}.dat.gz
export OUTFILE=${OUT}/DST_bin${SLURM_ARRAY_TASK_ID}.root

echo ""
echo "Start runMC.C"
date
echo ""
root -l -q -b runMC.C\(\"${INFILE}\",\"evetest_${SLURM_ARRAY_TASK_ID}.root\",0,100,kFALSE,0\)

echo ""
echo "Start reco.C"
date
echo ""

root -l -b -q reco.C\(\"evetest_${SLURM_ARRAY_TASK_ID}.root\",\"${OUTFILE}\",0,100,\"local\"\)

rm evetest_${SLURM_ARRAY_TASK_ID}.root
date
